Bug 31377 - Network Hangs when using dhcp
Network Hangs when using dhcp
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-10 17:59 EST by srambarr
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-01 09:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description srambarr 2001-03-10 17:59:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


at boot up the systen hangs at bring up eth0, I am using a cablemodem 
connection with dhcp, eth0 is a tulip card, eth1 is using eepro100


Reproducible: Always
Steps to Reproduce:
1.shut down and restart
2.
3.
Comment 1 Need Real Name 2001-05-02 14:18:08 EDT
Happens also with @home cable modems (although it does not hang,  it eventually 
times out).
Fixed it by modifying the ifup script to pass the hostname to pump - @home DHCP 
server expect the hostname in order to return the proper IP address.

Looking at the scripts (before mods) it appears that it should pass the 
hostname, but that doesn't seem to work.

To make matter worse,  the installer doesn't even ask for a hostname if DHCP is 
selected.
Comment 2 Need Real Name 2001-09-01 09:30:14 EDT
@home requires a hostname to assign your IP address.  This can be fixed in (at 
least) two ways, by editing ifup, which I personally think is a bit of a hack, 
or by adding the following line to /etc/sysconfig/network-scripts/ifcfg-eth0:
   DHCP_HOSTNAME=@homehostname
This parameter is passed to ifup and will satisfy @home's server.
Comment 3 Need Real Name 2001-09-01 09:33:36 EDT
Sorry about the misinformation in the previous comment, the '@home' string 
should not be included in the edit to ifcfg-eth0, correct line should be:

   DHCP_HOSTNAME=hostname
Comment 4 Elliot Lee 2001-09-10 20:19:36 EDT
Sounds resolved to me.

Note You need to log in before you can comment on or make changes to this bug.